Package org.eclipse.net4j.util.ui.chat

# Interface ChatRenderer.AvatarGenerator

All Known Implementing Classes:
  `ChatRenderer.AvatarGenerator.Default`

Enclosing class:
  ChatRenderer

public static interface ChatRenderer.AvatarGenerator

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`ChatRenderer.AvatarGenerator.Default`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateAvatar(ChatMessage.Author author, StringBuilder html, Map<String,Object> properties)`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Method Details

### generateAvatar

void generateAvatar(ChatMessage.Author author, StringBuilder html, Map<String,Object> properties)